v2 image create returns 200, should be 201

Bug #1036501 reported by Brian Waldon on 2012-08-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Critical
Brian Waldon

Bug Description

The following is a sample create response. The 200 should be a 201:

HTTP/1.1 200 OK
Content-Length: 434
Content-Type: application/json; charset=UTF-8
Location: http://devstack:9292/v2/images/382189b8-66cd-44bb-a8a8-c43c710d1eef
X-Openstack-Request-Id: req-971c9be7-6035-4fd3-ad10-ef494cbf8843
Date: Tue, 14 Aug 2012 05:42:03 GMT

{"status": "queued", "name": "Ubuntu 12.10", "tags": ["ubuntu", "12.10", "quantal"], "created_at": "2012-08-14T05:42:03Z", "min_ram": 0, "updated_at": "2012-08-14T05:42:03Z", "visibility": "private", "id": "382189b8-66cd-44bb-a8a8-c43c710d1eef", "protected": false, "file": "/v2/images/382189b8-66cd-44bb-a8a8-c43c710d1eef/file", "min_disk": 0, "self": "/v2/images/382189b8-66cd-44bb-a8a8-c43c710d1eef", "schema": "/v2/schemas/image"}

Reviewed: https://review.openstack.org/11325
Committed: http://github.com/openstack/glance/commit/fb2260bdc6bace65d895b6eef24d224cf865c4ce
Submitter: Jenkins
Branch: master

commit fb2260bdc6bace65d895b6eef24d224cf865c4ce
Author: Brian Waldon <email address hidden>
Date: Mon Aug 13 22:47:44 2012 -0700

    Return 201 on v2 image create

    Fixes bug 1036501

    Change-Id: Iccaeb14f0ceb85fe8e0f3aedd2ad7a4ceaead6e2

Changed in glance:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-08-15
Changed in glance:
milestone: none → folsom-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in glance:
milestone: folsom-3 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers